<!DOCTYPE html>
<html lang="pl">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>{% block title %}RMA-SERVICE PANEL{% endblock %}</title>

    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
          rel="stylesheet">
    <link href="{{ asset('build/css/panel.css') }}" rel="stylesheet">

    <link rel="icon" type="image/png" href="{{ asset('build/images/rma-favicon-32x32.png') }}" size="32x32"/>
    <link rel="apple-touch-icon" sizes="32x32" href="{{ asset('build/images/rma-favicon-32x32.png') }}"/>
    <link rel="apple-touch-icon" sizes="192x192" href="{{ asset('build/images/rma-favicon-192x192.png') }}"/>

</head>

<body id="page-top">

<!-- Page Wrapper -->
<div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

        <!-- Sidebar - Brand -->
        <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{ path('panel_index') }}">
            <div class="sidebar-brand-icon">
                <img src="{{ asset('build/images/RMA-logo.png') }}" alt="RMA logo" title="RMA logo" width="45"
                     height="50">
            </div>
            <div class="sidebar-brand-text mx-2">RMA-SERVICE PANEL</div>
        </a>

        <!-- Divider -->
        <hr class="sidebar-divider my-0">

        <!-- Divider -->
        <hr class="sidebar-divider">

        <!-- Heading -->
        <div class="sidebar-heading">
            MENU
        </div>

        <!-- Nav Item - Pages Collapse Menu -->
        <li class="nav-item ">
            <a class="nav-link" href="{{ path('home_index') }}">
                <i class="fas fa-home"></i><span> STRONA GŁÓWNA</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{ path('panel_index') }}">
                <i class="fas fa-tachometer-alt"></i><span> Profil</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{ path('rma_notification_index') }}">
                <i class="fas fa-clipboard-list"></i><span> Zgłoszenia RMA</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{ path('customer_reports') }}">
                <i class="fas fa-chart-bar"></i><span> Raporty</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{ path('customer_finances') }}">
                <i class="fas fa-dollar-sign"></i><span> Finanse i rozliczenia</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{ path('pricing_plan') }}">
                <i class="fas fa-receipt"></i><span> Plany taryfowe</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href={{ path('customer_data_setup') }}>
                <i class="fas fa-cog"></i><span> Ustawienia</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{ path('panel_faq') }}">
                <i class="fas fa-info-circle"></i><span> FAQ</span></a>
        </li>
    </ul>

    <div id="content-wrapper" class="d-flex flex-column">
        <div id="content">
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                    <i class="fa fa-bars"></i>
                </button>
                <!-- Topbar Search -->
                <form class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
                    <div class="input-group">
                        <input type="text" class="form-control bg-light border-0 small" placeholder="Wyszukaj..."
                               aria-label="Search" aria-describedby="basic-addon2">
                        <div class="input-group-append">
                            <button class="btn btn-primary" type="button">
                                <i class="fas fa-search fa-sm"></i>
                            </button>
                        </div>
                    </div>
                </form>

                <!-- Topbar Navbar -->
                <ul class="navbar-nav ml-auto">
                    <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                    <li class="nav-item dropdown no-arrow d-sm-none">
                        <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fas fa-search fa-fw"></i>
                        </a>
                        <!-- Dropdown - Messages -->
                        <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                             aria-labelledby="searchDropdown">
                            <form class="form-inline mr-auto w-100 navbar-search">
                                <div class="input-group">
                                    <input type="text" class="form-control bg-light border-0 small"
                                           placeholder="Wyszukaj..." aria-label="Search"
                                           aria-describedby="basic-addon2">
                                    <div class="input-group-append">
                                        <button class="btn btn-primary" type="button">
                                            <i class="fas fa-search fa-sm"></i>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </li>

                    <!-- Nav Item - User Information -->
                    <li class="nav-item dropdown no-arrow">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ app.user.username }}</span>
                            <img class="img-profile rounded-circle" alt="avatar user logo" src="{{ asset('build/images/avatar.jpg') }}"
                                 style="margin: 10px;">
                        </a>
                        <!-- Dropdown - User Information -->
                        <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                             aria-labelledby="userDropdown">
                            <a class="dropdown-item" href="{{ path('panel_index') }}">
                                <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                                Profil
                            </a>
                            <a class="dropdown-item" href="{{ path('home_index') }}">
                                <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                                Strona główna
                            </a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="{{ path('fos_user_security_logout') }}" data-toggle="modal"
                               data-target="#logoutModal">
                                <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                Wyloguj
                            </a>
                        </div>
                    </li>
                </ul>
            </nav>
            <hr>
            {% for type, messages in app.session.flashbag.all() %}
                <div class="container pt-3">
                    {% for message in messages %}
                        <div class="alert alert-{{ type }}" role="alert">
                            {{ message|raw }}
                        </div>
                    {% endfor %}
                </div>
            {% endfor %}
            <div class="container-fluid">
                {% block body %}

                {% endblock %}
            </div>
        </div>
    </div>
</div>

<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
</a>

<!-- Logout Modal-->
<div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Chcesz już wyjść?</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Wybierz "Wyloguj" poniżej jeżeli chcesz wyjść z aplikacji.</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Anuluj</button>
                <a class="btn btn-primary" href="{{ path('fos_user_security_logout') }}">Wyloguj</a>
            </div>
        </div>
    </div>
</div>

{% block javascripts %}
    <script src="{{ asset('build/app.js') }}"></script>
    <script src="{{ asset('build/panel-layout.js') }}"></script>

{% endblock %}

</body>

</html>